/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.schlund.pfixxml;

/**
 * Classes which will get managed by the PropertyObjectManager have to implement
 * this interface. They should provide an empty constructor and the opportunity
 * to get initialized by an object containing the configuration.
 * 
 * @author Sebastian Marsching
 */
public interface ConfigurableObject {

    /**Initialize newly created instance with configuration object.*/
    public void init(Object config) throws Exception;	

}
